API e desenvolvedores

Create product

post/v1/products

Create a new product for the authenticated merchant.

Exemplo

curl -X POST "https://api.ya.onl/v1/products" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"catalog_id":"…","name":"…","description":"…"}'

Corpo da requisição

catalog_idintegerobrigatório

Catalog ID to associate the product with

namestringobrigatório

Product name

descriptionstringobrigatório

Short product description

characteristicsstring | null

Detailed product description or specifications

statusstringpadrão: "published"

Product status

Respostas

201
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
422
Validation Error
429
Rate limit exceeded
Precisa de ajuda?